[netcdf-hdf] compiling netcdf4.1.3 on linux i686

Hi,

I am trying to build netcdf (4.1.3) on a linux  (i686) machine. I can build  
hdf5-1.8.6 libraries but when I run configure for netcdf, I get the following 
message:

checking for library containing H5Fflush... -lhdf5
checking for library containing H5DSis_scale... no
configure: error: Can't find or link to the hdf5 high-level.

I am following the instructions in the INSTALL file that comes with Netcdf4.1.3 
package.

Thanks,
Ali Rakei